Skip to main content
Get Employees key metrics
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/reports/employees/key_metrics \
  --header 'Authorization: Bearer <token>'
{
  "report_name": "employees_key_metrics",
  "report_data": {
    "total_active": 100,
    "total_active_with_skill": 80,
    "total_active_with_validated_skill": 60,
    "total_active_with_low_data_availability": 10,
    "validated_skills": {
      "total_confirmed_skills": 50,
      "total_rejected_skills": 10
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

force_recalculate
boolean
default:false

Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.

Response

OK

A Report containing the key metrics of all Employees.

report_name
string
Example:

"employees_key_metrics"

report_data
object

The key metrics of all Employees.

last_update
string<date-time>
Example:

"2020-09-01T11:45:49Z"